/*
 * np-dsp - dspconfig.h
 *
 * ARM -> DSP configuration
 *
 * Copyright (C) 2012  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef DSPCONFIG_H_INCLUDED
#define DSPCONFIG_H_INCLUDED

#ifndef EINVAL
#define EINVAL		512
#endif
#ifndef EAGAIN
#define EAGAIN		513
#endif

#include <asm_io.h>

unsigned long dspconfig_seqbegin(void);
int dspconfig_seqretry(unsigned long seq);
int dspconfig_read(unsigned long seq, void *config, size_t size);

#endif
